/*****************************/
/* kChat v1.8		     */
/* krzak@linux.net.pl        */ 
/* Marcin Krzyzanowski       */
/* http://krzak.linux.net.pl */
/* License: GPL              */
/*****************************/
/* Copyright (C) 2001  Marcin Krzyzanowski <krzak@linux.net.pl>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
public class kChatParse {

/*******************************************************************************************/
/* return parameters from line like ex. *one|two|three|, if 'nr' is to big, then return "" */
/*******************************************************************************************/
    public static String getParam(String ln, int nr) {
	if ( (ln==null) || (ln.equals("")) || (!ln.endsWith("|")) ) return("");
	int start = 0; 
	int end  = ln.indexOf("|",0);
	if (end == -1) {
		end = ln.length(); 
	        return(ln.substring(start,end)); 
		}
	nr = nr - 1; /* to count params from 1 not from 0 */
	for (int i=0;i<nr;i++) {
	    start = ln.indexOf("|",end);
	    if (start == (ln.length()-1)) return("");
	    end   = ln.indexOf("|",start+1);
	    }

	if (nr == 0) 
	     return(ln.substring(start,end)); 
	    else 
	     return(ln.substring(start+1,end)); 
	}
}